# Record Class ARI1Documentation

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.ARI1Documentation

Record Components:
  `format` - The format
  `lines` - The text lines

public record ARI1Documentation(ARI1DottedName format, List<String> lines) extends Record
A documentation value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1Documentation(ARI1DottedName format, List<String> lines)`
  A documentation value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `ARI1DottedName`
  `format()`
  Returns the value of the `format` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `List<String>`
  `lines()`
  Returns the value of the `lines` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1Documentation

    public ARI1Documentation(ARI1DottedName format, List<String> lines)
    A documentation value.
    Parameters:
      `format` - The format
      `lines` - The text lines

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### format

    public ARI1DottedName format()
    Returns the value of the `format` record component.
    Returns:
      the value of the `format` record component

  - ### lines

    public List<String> lines()
    Returns the value of the `lines` record component.
    Returns:
      the value of the `lines` record component